import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";

/**
 * Lib Provider
 *
 */
import React from 'react';
import PropTypes from 'prop-types';
import Context from './Context';

const Provider = (_ref) => {
  let {
    children
  } = _ref,
      context = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(Context.Provider, {
    value: context
  }, children);
};

Provider.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired
} : {};
export default Provider;